> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/cockpit/budget-status/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Cockpit budget status GET https://alephant.io/api/v1/cockpit/budget-status Virtual key and optional entity-level budget usage for the authenticated VK. Spent totals call Collector with the same Authorization (Bearer vk-…) as this request. Reference: https://developers.alephant.io/api-reference/saa-s-api/cockpit/budget-status ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Query parameters - `period` (string, optional) — Window for spent aggregation: 30d (default), billing_cycle, 7d, 24h ### Headers - `Authorization` (string, required) — Bearer virtual key token (prefix vk-) ## Response ### 200 OK - `data_source` (string, optional) - `degraded` (boolean, optional) - `entity_budget` (github_com_alephant_backend-saas-service_internal_service.CockpitEntityBudget, optional) - `message` (string, optional) - `virtual_key_budget` (github_com_alephant_backend-saas-service_internal_service.CockpitVKBudget, optional) ## Errors ### 401 Unauthorized Error Missing or invalid virtual key - `map from string to any` ## Types ### github_com_alephant_backend-saas-service_internal_service.CockpitEntityBudget - `budget_cents` (integer, optional) - `spent_cents` (integer, optional) - `usage_pct` (double, optional) ### github_com_alephant_backend-saas-service_internal_service.CockpitVKBudget - `budget_action` (string, optional) - `budget_cents` (integer, optional) - `budget_window` (string, optional) - `remaining_cents` (integer, optional) - `resets_at` (string, optional) - `spent_cents` (integer, optional) - `usage_pct` (double, optional) ## Examples **Response** ```json { "data_source": "string", "degraded": true, "entity_budget": { "budget_cents": 1, "spent_cents": 1, "usage_pct": 1.1 }, "message": "string", "virtual_key_budget": { "budget_action": "string", "budget_cents": 1, "budget_window": "string", "remaining_cents": 1, "resets_at": "string", "spent_cents": 1, "usage_pct": 1.1 } } ``` **SDK Code** ```python import requests url = "https://alephant.io/api/v1/cockpit/budget-status" headers = {"Authorization": "Authorization"} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/api/v1/cockpit/budget-status'; const options = {method: 'GET', headers: {Authorization: 'Authorization'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/api/v1/cockpit/budget-status" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Authorization") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/api/v1/cockpit/budget-status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Authorization' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://alephant.io/api/v1/cockpit/budget-status") .header("Authorization", "Authorization") .asString(); ``` ```php request('GET', 'https://alephant.io/api/v1/cockpit/budget-status', [ 'headers' => [ 'Authorization' => 'Authorization', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/api/v1/cockpit/budget-status"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Authorization"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Authorization"] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/api/v1/cockpit/budget-status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```